/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for CathProcedureType
 */
public enum EnumCV_CathProcedureType
{
	//CID 3739 Cath Procedure Type
	CATHETERIZATION_OF_RIGHT_HEART_P1_31602("P1-31602"),
	CATHETERIZATION_OF_LEFT_HEART_P1_31604("P1-31604"),
	CATHETERIZATION_OF_BOTH_LEFT_AND_RIGHT_HEART_WITH_GRAFT_P1_3160A("P1-3160A"),
	CATHETERIZATION_OF_BOTH_LEFT_AND_RIGHT_HEART_WITHOUT_GRAFT_P1_3160B("P1-3160B"),
	PERCUTANEOUS_CORONARY_INTERVENTION_122061("122061");

	private String value;

	EnumCV_CathProcedureType(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
